This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1274194 - Install rpm packages will report bus error randomly on RHEL 7 and RHEL 7.1
Install rpm packages will report bus error randomly on RHEL 7 and RHEL 7.1
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: rpm (Show other bugs)
7.1
x86_64 Linux
unspecified Severity high
: rc
: ---
Assigned To: Florian Festi
BaseOS QE Security Team
:
Depends On:
Blocks: 1295396
  Show dependency treegraph
 
Reported: 2015-10-22 04:46 EDT by tsaijim
Modified: 2017-10-03 21:18 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description tsaijim 2015-10-22 04:46:43 EDT
Description of problem:
When we install some rpm packages using rpm or yum command,the OS will report bus error randomly. If we reboot the system, the problem will be eliminated. However, it happens periodically and randomly.


Version-Release number of selected component (if applicable):
3.10.0-229.e17.x86_64

How reproducible:


Steps to Reproduce:
1. Install RHEL 7 or RHEL 7.1
2. rpm -ivh /cluster/software/openmpi/rhels7.1/openmpi-1.8.5-1.x86_64-MOFED.rpm
   or yum install -y rpm-build
   or rpm -ivh gpfs.base-4.1.0-1.x86_64.rpm gpfs.docs-4.1.0-1.noarch.rpm 
   gpfs.ext-4.1.0-1.x86_64.rpm gpfs.msg.en_US-4.1.0-1.noarch.rpm gpfs.gpl-4.1.0-   1.noarch.rpm gpfs.gskit-8.0.50-16.x86_64.rpm (for example)

3. System will report bash: line 1:  3512 Bus error or bus error


Actual results:
System will report BUS error messages

Expected results:
Pakcages should be installed successfully.

Additional info:
This issue hasn't been seen on SLES OS.
Comment 2 Karel Srot 2015-12-21 02:46:15 EST
Hello,
thank you for the bug report. Could you please confirm that this is still an issue on RHEL-7.2? Also, could you confirm that the problem appears independently on the package being installed? How frequently does it happen?
Comment 3 Jan Zeleny 2016-01-13 07:36:20 EST
After consultation with Florian, we need a reproducer first. We will investigate but at this point we can't guarantee any results.
Comment 5 Arif Ali 2016-08-10 16:41:26 EDT
I have seen this on an installation with CentOS 7.2 as well.

I have for 200 machines in one instance, and once rebooting all the node, I can at least see 10 nodes reporting this issue

I have in the situation resolved the problem by running "rpm --rebuilddb"

Current version of kernel running is 3.10.0-327.22.2.el7.x86_64
Comment 6 Panu Matilainen 2016-10-17 06:50:54 EDT
At the very least a traceback of the crash would be needed to even start investigating since this is not generally reproducable -> NEEDINFO.

Note You need to log in before you can comment on or make changes to this bug.